Intel® Composer XE for Linux*

License server 2.3.0.002 does not work with SLES11SP1 glibc-2.11.1-0.38.1

License server 2.3 does not work with SLES11SP11 Linux operating system which is having glibc-2.11.1-0.38 version. It shows following error messages when you DEBUG (export INTEL_LMD_DEBUG=1) it.

Lmgrd error message.

 8:52:05 (lmgrd) INTEL exited with status 0 signal = 17

 8:52:05 (lmgrd) Since this is an unknown status, license server

 8:52:05 (lmgrd) manager (lmgrd) will attempt to re-start the vendor daemon.

 8:52:05 (lmgrd) REStarted INTEL (internet tcp_port 37729 pid 5316)

  • Linux*
  • 面向 FLEXlm*的 Intel® License Manager
  • License server
  • Intel® Composer XE for Linux*
  • FLEXlm manager
  • 许可协议: 

    profmerge fail: *** glibc detected *** profmerge: double free or corruption

    Product(s):
    Up to Intel(R) Composer XE 2013 SP1 Update 2 for Linux*

    Symptom:
    If the profmerge tool is executed for a series of *.dyn files it might fail:

    $ profmerge -prof_dir .
    warning #30021: File './yyy.dyn' corrupt, ignored.
    *** glibc detected *** profmerge: double free or corruption (top): 0x0000000000eb5460 ***
    ======= Backtrace: =========
    ...

     

    Root Cause:
    This only occurs if one *.dyn file is of size 0, e.g.:

  • 开发人员
  • Linux*
  • C/C++
  • Fortran
  • Intel® Composer XE for Linux*
  • fail
  • profmerge
  • 订阅 Intel® Composer XE for Linux*